.font-size-three-quarters-em {
	font-size: 0.75em;
}

.covered {
	background-color: #000;
	color: #000;
}

.background-color-red {
	background-color: #f00;
}

sup {
	font-size: 0.69em;
}

::-moz-selection { /* Code for Firefox */
  background: #ff0;
}

::selection {
  background: #ff0;
}

html {
	cursor:url('../emoji/cursor-grab-green-128px.png'),url('../emoji/cursor-grab-green-64px.png'),url('../emoji/cursor-grab-green-32px.png'),url('../emoji/cursor-grab-green-16px.png'),pointer;
}

html,body {
	scroll-behavior: smooth;
}

a:link													{text-decoration-style: dotted; color: #00f;}
a:link.text-decoration-none 		{text-decoration: none;}
a:visited												{text-decoration-style: dotted; color: #f0f;}
a:visited.text-decoration-none	{text-decoration: none;}
a:hover													{text-decoration: none; color: #00f; background-color: #ff0;}
a:active												{text-decoration: none; color: #ff0; background-color: #f0f;}

html,body,header,h1 {
	width: 100%;
	margin: 0;
	padding: 0;
}

.tooltip .tooltiptype {
	display: none;
}

	.tooltip:hover .tooltiptype {
		display: inline-block;
		position: absolute;
		transform: translate(-3em,3em);
		background-color: #ff0;
		font-size: 0.35em;
		padding: 0.2em 0.3em;
	}

/*
-=-=-=-=-=-=-=-=-=-=
=-=-=- HEADER =-=-=-
-=-=-=-=-=-=-=-=-=-=
*/

header {
	margin-top: 100vh;
}

h1 {
	font-size: 23vh;
	position: fixed;
	z-index: -1;
}

h1 span:nth-of-type(01) {left:08.0%;}
h1 span:nth-of-type(02) {left:18.0%;}
h1 span:nth-of-type(03) {left:28.0%;}
h1 span:nth-of-type(04) {left:38.0%;}
h1 span:nth-of-type(05) {left:48.0%;}
h1 span:nth-of-type(06) {left:58.0%;}
h1 span:nth-of-type(07) {left:68.0%;}
h1 span:nth-of-type(08) {left:78.0%;}

h1 span {
	width: 8%;
	height: 100%;
	text-align: center;
	vertical-align: middle;
	line-height: 96vh;
	display: inline-block;
	position: fixed;
	top: 0;
}

h1 span:hover, h3 span:hover  {
	color: #0f0;
}

h2 {
	font-family: sans-serif;
	font-weight: normal;
	width: 100%;
	text-align: center;
	display: inline-block;
	position: fixed;
	bottom: 0;
}

/*
=-=-=-=-=-=-=
-=-= NAV =-=-
=-=-=-=-=-=-=
*/

nav {
	position: -webkit-sticky; /* Safari */
	position: sticky;
	top: 0;
	column-count: 7;
	gap: 0;
	line-height: 1em;
}

	nav ul {
		margin: 0;
		padding: 0;
	}

	nav ul li {
		list-style-type: none;
		border: 0.1em solid #000;
	}

	nav ul li a:link {
		text-align: center;
		display: inline-block;
		width: 100%;
		padding: 1em 0;
		font-size: 1.5em;
		font-family: sans-serif;
		background-color: rgba(255, 255, 255, 1);
	}

	nav ul li a:hover {
		background-color: rgba(255, 255, 0, 1);
	}

	nav ul li a:active {
		background-color: rgba(255, 0, 255, 1);
	}

/*
=-=-=-=-=-=-=-=-=
-=-= MAIN =-=-
=-=-=-=-=-=-=-=-=
*/

main {
	font-size: 2em;
	padding: 7%;
	background-color: rgba(255, 255, 255, 0.9);
}

/*
=-=-=-=-=-=-=-=-=
-=-= SECTION =-=-
=-=-=-=-=-=-=-=-=
*/

.learning-outcome-tags li {
	color: #fff;
	font-family: sans-serif;
	font-size: 0.6em;
	display: inline-block;
	background-color: #ccc;
	padding: 0.8em;
	margin: 1em 0.5em 0 0;
}

h3 {
	position: sticky;
	z-index: 3;
	top: 5vh;
	font-size: 23vh;
}

	h3 span {
		line-height: 0;
	}

section > ol, section > ul {
	list-style-type: none;
}

ul.list-style-type-none {
	list-style-type: none;
}

.margin-left-one-em {
	margin-left: 1em;
}

section#agenda details.current , section#exercises details.current , section#projects details.current , section#resources details , section#syllabus details {
	color: #000;
	border: 0.1em solid #000;
	box-shadow: 0.4em 0.4em 0 #000;
	margin: 0 0 2em 1em;
}

section#agenda details , section#exercises details , section#projects details {
	color: #ddd;
	border: 0.1em dashed #ddd;
	box-shadow: 0.4em 0.4em 0 #ddd;
	margin: 0 0 2em 1em;
}

details > *:not(summary) {
	width: 25em;
}

details  li {
	width: 20em;
}

	section details details,section p,section h4,section figure {
	}

section details summary {
	background-color: rgba(255, 255, 255, 1.0);
	text-decoration: underline;
	position: sticky;
	z-index: 2;
	top: 32vh;
	padding: 1em;
}

summary h4 {
	display: inline-block;
	padding: 0;
	margin: 0;
}

section details details summary {
	top: 43vh;
}

	section details summary:hover {
		background-color: #ff0;
		color: #000;
	}

#agenda summary{
	padding: 1em;
}

.more-space li {
	margin-bottom: 0.15em;
}

img,iframe {
	width: 90%;
	min-height: 13em;
}

figure {
	width: 40%;
	display: inline-block;
}

figure img {
	width: 100%;
}

figure figcaption {
	margin: 1em;
	background-color: #fff;
	font-family: sans-serif;
	position: relative;
	bottom: 4em;
}

h6 {
	mix-blend-mode: difference;
	z-index: 10000;
}

code {
	background-color: rgb(048,056,065);
	color:  rgb(235,095,102);
}

.sublime-white {
	color:  rgb(255,255,255);
}

.sublime-cyan {
	color:  rgb(088,161,162);
}

.sublime-purple {
	color: rgb(000,000,000);
}